﻿using NUnit.Framework;
using NUnit4PowerShell;

namespace Tests
{
    [TestFixture]
    public class TestSuite
    {
        [Test]
        public void Test_Get_Suite()
        {
            Assert.IsNotNull(PSFixtureSuite.Suite);
        }
    }
    
    [TestFixture]
    public class TestStaticMethods
    {
        [Test]
        public void Test_GetFolder_Is_Not_Null()
        {
            Assert.IsNotNullOrEmpty(NUnit4PowerShell.Utils.GetPSFixturesFolderPath());
        }

        [Test]
        public void Test_GetFolder_Is_Good()
        {
            Assert.AreEqual(@"C:\Users\maxence.modelin\Documents\Projets\NUnit4PowerShell Project\trunk\Tests", NUnit4PowerShell.Utils.GetPSFixturesFolderPath());
        }
    }
}
